> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Permissions
> Update the permissions on the workspace.
Permission required: `access-permissions`
### Changelog
| Version | Description |
| ---------------- | ------------|
|0.66.0 | Added |
## OpenAPI
````json POST /api/v1/permissions.update
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "User Management"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "LDAP"
},
{
"name": "Permissions"
},
{
"name": "Roles"
},
{
"name": "Users"
},
{
"name": "SAML"
}
],
"paths": {
"/api/v1/permissions.update": {
"post": {
"summary": "Update Permissions",
"description": "Update the permissions on the workspace.\nPermission required: `access-permissions`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|0.66.0 | Added |",
"operationId": "post-api-v1-permissions.update",
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"permissions": {
"type": "array",
"description": "The array of roles to overwrite.",
"items": {
"type": "object",
"properties": {
"_id": {
"type": "string",
"description": "Enter the permission ID.",
"example": "access-permissions"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"description": "For default Rocket.Chat roles, you can enter the role names such as `admin`, `user`, `owner`, etc. If you are updating the permissions for a custom role, enter the custom role ID instead of the role name. Use the Get Roles endpoint to get the list of roles with IDs in your workspace.",
"example": "admin"
}
}
}
}
}
},
"required": [
"permissions"
]
},
"examples": {
"Example 1": {
"value": {
"permissions": [
{
"_id": "access-permissions",
"roles": [
"admin"
]
}
]
}
}
}
}
}
},
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"permissions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"roles": {
"type": "array",
"items": {
"type": "string"
}
}
}
}
},
"success": {
"type": "boolean"
}
}
},
"examples": {
"Success Example": {
"value": {
"permissions": [
{
"_id": "access-permissions",
"roles": [
"admin"
]
}
],
"success": true
}
}
}
}
}
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Example 1": {
"value": {
"success": false,
"error": "Invalid body params",
"errorType": "error-invalid-body-params"
}
},
"Example 2": {
"value": {
"success": false,
"error": "Editing permissions is not allowed",
"errorType": "error-edit-permissions-not-allowed"
}
}
}
}
}
},
"401": {
"$ref": "#/components/responses/authorizationError"
}
},
"parameters": [
{
"$ref": "#/components/parameters/UserId"
},
{
"$ref": "#/components/parameters/Auth-Token"
}
],
"tags": [
"Permissions"
]
}
}
},
"components": {
"responses": {
"authorizationError": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Authorization Error": {
"value": {
"success": false,
"error": "You must be logged in to do this."
}
}
}
}
}
}
},
"parameters": {
"UserId": {
"name": "X-User-Id",
"in": "header",
"description": "The authenticated user ID.",
"required": true,
"schema": {
"type": "string"
},
"example": "rbAXPnMktTFbNpwtJ"
},
"Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"description": "The authenticated user token.",
"required": true,
"schema": {
"type": "string"
},
"example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
}
}
}
}
````